<?php

namespace Types;

class Fop_konto_zustand {
  
  

    // --- Statische Eigenschaften ---
  
  static private $values ;
  static private $valuesShort ;

    // --- Statische Methoden ---
  
  public static function ensureIsLoaded() { 
    
    
    // --- BLOCK: main ---
    
  // Can be called to ensure class is loaded and initialized

    
  }

  public static function toString($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : (self::$values[$x] ?? '');
    
  }

  public static function toStringShort($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$valuesShort[$x];
    
  }

  public static function parse($x) { 
    
    
    // --- BLOCK: main ---
    
		$result = array_search($x, self::$values);
		if ($result !== false) return $result;
		$result = array_search($x, self::$valuesShort);
		if ($result !== false) return $result;
		return null;
    
  }

  public static function initialize() { 
    
    
    // --- BLOCK: values ---
    
		self::$values[0] = _('noch nicht freigeschalten');
	self::$values[1] = _('Synchronisation aktiviert');
	self::$values[2] = _('Synchronisation deaktiviert');
	self::$values[3] = _('Synchronisation Error');
	self::$values[4] = _('PIN falsch');
	
    // --- BLOCK: valuesShort ---
    
		self::$valuesShort[0] = _('noch nicht freigeschalten');
	self::$valuesShort[1] = _('Synchronisation aktiviert');
	self::$valuesShort[2] = _('Synchronisation deaktiviert');
	self::$valuesShort[3] = _('Synchronisation Error');
	self::$valuesShort[4] = _('PIN falsch');
	
    
  }


  
  

  
  
}

\Types\Fop_konto_zustand::initialize(); 

